# The RESTful API Modeling Language (RAML) Spec

RAML is a language for the definition of HTTP-based APIs that embody most or all of the principles of Representational State Transfer (REST). The RAML specification (this document) defines an application of the [YAML 1.2 specification](http://yaml.org/spec/1.2/spec.html) that provides mechanisms for the definition of practically-RESTful APIs, while providing provisions with which source code generators for client and server source code and comprehensive user documentation can be created.

## IMPORTANT NOTE

RAML 1.0 is currently in a Release Candidate stage to gather feedback from the community around the features introduced in this version such as annotations or types. We will release the final version for 1.0 soon by announcing it on our [blog](http://blog.raml.org/).

In the meanwhile, if you have any feedback, please report them [here](https://github.com/raml-org/raml-spec/issues).

Current released version: RAML 1.0 RC2

## Contributing

We welcome any contributions from the community! You can contribute or provide feedback for the RAML Specification in different ways depending on your intentions. The following table illustrates the different ways to help us not only to improve the documentation of the specification, but also RAML itself.

|Your Intention  |What to do?|
|:----------|:----------|
|You see a spelling or grammar mistake, or an error in our examples? | Fork this repository, make edits, and then submit a pull request. We will respond to your request as quickly as possible.
|You want to suggest a new feature, improve existing features, ask questions, or things general around the RAML specification? | File an issue. Please be as specific as possible about your intentions or what you’d like to see.

You can also directly get in touch with us. Simply send us an email to: info@raml.org

## Licensing

[Branding Guidelines](http://raml.org/licensing.html)
